aboutsummaryrefslogtreecommitdiffstats
path: root/chapter07/sysklogd.sgml
diff options
context:
space:
mode:
Diffstat (limited to 'chapter07/sysklogd.sgml')
-rw-r--r--chapter07/sysklogd.sgml67
1 files changed, 67 insertions, 0 deletions
diff --git a/chapter07/sysklogd.sgml b/chapter07/sysklogd.sgml
new file mode 100644
index 000000000..74e8b9d6d
--- /dev/null
+++ b/chapter07/sysklogd.sgml
@@ -0,0 +1,67 @@
+<sect1 id="ch07-sysklogd">
+<title>Creating the sysklogd script</title>
+
+<para>
+Create a new file <filename>/etc/init.d/sysklogd</filename> containing
+the following:
+</para>
+
+<literallayout>
+
+<userinput>cat &gt; sysklogd &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin /etc/init.d/sysklogd
+
+#
+# Include the functions declared in the /etc/init.d/functions file
+#
+
+source /etc/init.d/functions
+
+case "$1" in
+ start)
+ echo -n "Starting system log daemon..."
+ loadproc /usr/sbin/syslogd -m 0
+
+ echo -n "Starting kernel log daemon..."
+ loadproc /usr/sbin/klogd
+ ;;
+
+ stop)
+ echo -n "Stopping kernel log daemon..."
+ killproc klogd
+
+ echo -n "Stopping system log daemon..."
+ killproc syslogd
+ ;;
+
+ reload)
+ echo -n "Reloading system log daemon configuration file..."
+ reloadproc syslogd 1
+ ;;
+
+ restart)
+ $0 stop
+ /usr/bin/sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc /usr/sbin/syslogd
+ statusproc /usr/sbin/klogd
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|status}"
+ exit 1
+ ;;
+
+esac
+
+# End /etc/init.d/sysklogd
+<userinput>EOF</userinput>
+
+</literallayout>
+
+</sect1>
+